package be.jeffcheasey88.peeratcode.parser.java;

import be.jeffcheasey88.peeratcode.parser.Bag;
import be.jeffcheasey88.peeratcode.parser.Token;

public class Value extends JavaElement{

	private Token token;
	
	protected Value(){}
	
	public Value(Bag bag){
		this.token = bag.get();
		System.out.println("NEW value "+token);
	}
	
	@Override
	public String toString(){
		return "[Value="+token+"]";
	}
	
	public static class BiValue extends Value{
		
		private Value left;
		private Value right;
		
		public BiValue(Value left, Value right){
			this.left = left;
			this.right = right;
			System.out.println("NEW BiValue "+left+"|"+right);
		}
		
	}
	
	public static class TriValue extends Value{
		
		public TriValue(Bag bag){
			super(bag);
		}
	}
}
